Subject: bug#18818: Incorrect font weight in dark background, Emacs 24.4 on Mac OS X 10.10

From: Sun Yijiang <[email-masked]>
Date: Fri, 24 Oct 2014 16:35:16 +0800

Step by step:

1) Mac OS X 10.10 Yosemite, Xcode 6.1
2) Compile GNU Emacs 24.4 with ./configure --with-ns && make && make install
3) Make a clean run: /Applications/Emacs.app/Contents/MacOS/Emacs -q
4) In *scratch* buffer, run these line-by-line (with C-x C-e)

(set-default-font "-*-Monaco-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1")
(set-default-font "-*-Monaco-normal-normal-normal-*-*-*-*-*-m-0-iso10646-1")

(set-foreground-color "#FFFFFF")
(set-background-color "#222222")

(set-default-font "-*-Monaco-bold-normal-normal-*-*-*-*-*-m-0-iso10646-1")
(set-default-font "-*-Monaco-normal-normal-normal-*-*-*-*-*-m-0-iso10646-1")

Screenshots after each step are attached.  It's clear that in a dark
background, bold and normal texts are flipped.

Best,
Yijiang